package com.ruoyi.warehouseBusiness.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author caifc
 * @date 2021-10-22 17:19
 */
@Getter
@AllArgsConstructor
public enum warehouseActIdEnum {

    //仓库审批活动号
    INSTOCK(110, "入库"),
    OUTSTOCK(120, "出库"),
    FORWARDING(130, "货转"),
    TRANSFER(140, "调拨"),
    CALCULATE_COST(150, "计算仓储费"),
    CLEARANCE(160, "货物通关"),

    //财务审批活动号
    RECONCILIATION(210, "对账"),
    TOLL(220, "收费"),
    PAID(230, "付费"),

    //仓储计划活动号
    STORAGE_FEE(310, "仓储费"),
    PLAN_FEE(320, "计划费"),

    //凯和
    CUSTOMS_APPROVAL1(111, "只有上面主表标星字段"),
    CUSTOMS_APPROVAL2(121, "只有上面主表标星字段"),
    CUSTOMS_APPROVAL3(131, "只有上面主表标星字段"),
    CUSTOMS_APPROVAL4(141, "只有上面主表标星字段"),
    CUSTOMS_APPROVAL5(151, "只有上面主表标星字段"),
    CUSTOMS_APPROVAL6(161, "只有上面主表标星字段"),

    ;

    private final Integer actId;
    private final String name;

}
